---
title: AbstractWorker.onerror
slug: Web/API/AbstractWorker/onerror
tags:
  - API
  - AbstractWorker
  - EventHandler
  - Property
  - Reference
  - Web Workers
  - Workers
  - onerror
---
<p>{{ APIRef("Web Workers API") }}</p>

<p>The <code><strong>AbstractWorker</strong></code><strong><code>.onerror</code></strong> property of the {{domxref("AbstractWorker")}} interface represents an {{domxref("EventHandler")}}, that is a function to be called when the {{event("error")}} event occurs and bubbles through the {{domxref("Worker")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">myWorker.onerror = function() { ... };</pre>

<h2 id="Example">Example</h2>

<p>The following code snippet shows creation of a <a href="/en-US/docs/Web/API/Worker" title="The Worker interface represents a background task that can be easily created and can send messages back to its creator. Creating a worker is as simple as calling the Worker() constructor and specifying a script to be run in the worker thread."><code>Worker</code></a> object using the <a href="/en-US/docs/Web/API/Worker.Worker" title="The Worker() constructor creates a Worker that executes the script at the specified URL. This script must obey the same-origin policy."><code>Worker()</code></a> constructor and setting up of an <code>onerror</code> handler on the resulting object:</p>

<pre class="brush: js">var myWorker = new Worker('worker.js');

myWorker.onerror = function() {
  console.log('There is an error with your worker!');
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#handler-abstractworker-onerror", "AbstractWorker.onerror")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AbstractWorker.onerror")}}</p>
</div>

<h3 id="Cross-origin_worker_error_behaviour">Cross-origin worker error behaviour</h3>

<p>In earlier browser versions, trying to load a cross-origin worker script threw a <code>SecurityError</code>; in newer browsers an {{event("error")}} event is thrown instead due to a spec change. Find out more information on how to deal with this in <a href="https://www.fxsitecompat.com/en-CA/docs/2016/loading-cross-origin-worker-now-fires-error-event-instead-of-throwing-worker-in-sandboxed-iframe-no-longer-allowed/">Loading cross-origin worker now fires error event instead of throwing; worker in sandboxed iframe no longer allowed</a>.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("AbstractWorker")}} interface it belongs to.</li>
</ul>
